package com.adealink.weparty.network

import com.adealink.frame.base.Rlt
import com.adealink.frame.network.data.Res
import com.google.gson.annotations.SerializedName
import retrofit2.http.POST

interface PingHttpService {
    @POST("user/online/heartbeat")
    suspend fun ping(): Rlt<Res<Any>>

}

data class PingReq(
    @SerializedName("userOnlineStatus") val status: Map<Int, String>,
    @SerializedName("supportRtc") val supportRtc: Byte
)

data class PingRes(
    @SerializedName("interval") val interval: Long,
    @SerializedName("inRoomId") val inRoomId: Long,
)